<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/tipo_soporte_tecnico.php';
$response = array();

if (!isset($_POST['id_tipo_soporte_tecnico'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_tipo_soporte_tecnico = $_POST['id_tipo_soporte_tecnico'];

$tipo_soporte_tecnico = TipoSoporteTecnico::mdlGetTipoSoporteTecnico($id_tipo_soporte_tecnico);

if (!$tipo_soporte_tecnico) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontró el tipo de soporte técnico';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $tipo_soporte_tecnico;

echo json_encode($response);